﻿namespace TabsStudioAutoOpener
{
    class OptionsStorage
    {
        public Options Load()
        {
            try
            {
                using (System.IO.FileStream stream =
                    new System.IO.FileStream(GetStoragePath(), System.IO.FileMode.Open,
                        System.IO.FileAccess.Read, System.IO.FileShare.Read))
                {
                    System.Xml.Serialization.XmlSerializer serializer =
                        new System.Xml.Serialization.XmlSerializer(typeof(Options));
                    return serializer.Deserialize(stream) as Options;
                }
            }
            catch (System.Exception)
            {
            }
            return new Options();
        }

        public void Save(Options options)
        {
            try
            {
                using (System.IO.FileStream stream =
                    new System.IO.FileStream(GetStoragePath(), System.IO.FileMode.Create))
                {
                    System.Xml.Serialization.XmlSerializer serializer =
                        new System.Xml.Serialization.XmlSerializer(typeof(Options));
                    serializer.Serialize(stream, options);
                }
            }
            catch (System.Exception)
            {
            }
        }

        private string GetStoragePath()
        {
            return System.IO.Path.ChangeExtension(System.Reflection.Assembly.GetExecutingAssembly().Location, "tss");
        }
    }
}
